package com.ydl.confide.home.bean

import com.ydl.ydlcommon.bean.YDLFooterBean
import com.ydl.ydlcommon.bean.YDLHeadBean

/**
 * @author yuanwai
 * @描述:倾诉首页数据bean
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/7/26
 */
data class ConfideHomeDataBean(
    /**
                             * 数据分类 1.banner 2.最近倾诉 3.分类测评 4.实时倾诉数据 5.为你推荐 6.听声寻人 7.咨询师推荐
                             */
                            val type: Int?,
    /**
                             * 数据集合节点
                             */
                            val body : MutableList<ConfideHomeBodyBean>?,
    /**
                             * 头部数据节点
                             */
                            val head : YDLHeadBean?,
    /**
                             * 底部数据节点
                             */
                            val footer : YDLFooterBean?,
    /**
                             * 为你推荐Id 本地使用 用于区分音频播放区域
                             */
                            var recommendId : Int)